getData {AutoDeskR} | R Documentation

## Get the Geometry Data for a File.

### Description

Get the geometry of an uploaded file using the Model Derivative API.

### Usage

    getData(guid = NULL, urn = NULL, token = NULL)

### Arguments

`guid` | A string. GUID retrieved via the `getMetadata` function.
`urn` | A string. Source URN (objectId) for the file. Note the URN must be Base64 encoded. To encode the URN, see, for example, the `jsonlite::base64_enc` function.
`token` | A string. Token generated with `getToken` function with `data:read` and `data:write` scopes.

### Value

An object containing the geometry data for the selected file.

### See Also

https://developer.autodesk.com/en/docs/model-derivative/v2/overview/

### Examples

    ## Not run:
    # Get the geometry data for the "aerial.dwg" svf file
    resp <- getData(guid <- myGuid, urn <- myEncodedUrn, token = myToken)

    ## End(Not run)

[Package AutoDeskR version 0.1.3 Index]